%define libxdmcp %mklibname xdmcp 6
Name: libxdmcp
Summary: X Display Manager Control Protocol library
Version: 1.0.2
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Display Manager Control Protocol library

#-----------------------------------------------------------

%package -n %{libxdmcp}
Summary: Development files for %{name}
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxdmcp}
X Display Manager Control Protocol library

#-----------------------------------------------------------

%package -n %{libxdmcp}-devel
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxdmcp} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxdmcp-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxdmcp}-devel
Development files for %{name}

%pre -n %{libxdmcp}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxdmcp}-devel
%defattr(-,root,root)
%{_libdir}/libXdmcp.la
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/xdmcp.pc
%{_includedir}/X11/Xdmcp.h

#-----------------------------------------------------------

%package -n %{libxdmcp}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxdmcp}-devel = %{version}
Provides: libxdmcp-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxdmcp}-static-devel
Static development files for %{name}

%files -n %{libxdmcp}-static-devel
%defattr(-,root,root)
%{_libdir}/libXdmcp.a

#-----------------------------------------------------------

%prep
%setup -q -n libXdmcp-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{libxdmcp}
%defattr(-,root,root)
%{_libdir}/libXdmcp.so.6
%{_libdir}/libXdmcp.so.6.0.0




%changelog

* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-1mdv2007.0
+ Revision: 121697
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

